Documentation Center

  • Trial Software
  • Product Updates

Version Compatibility

For best results, your version of MATLAB® must be the same version that was used to create the MEX-file.

MEX-files use MATLAB runtime libraries. MEX-files are usually backward compatible, which means you can run a MEX-file that was created on an earlier version of MATLAB on later versions of MATLAB. If the MEX-file generates errors, recompile the MEX-file from the source code.

Sometimes a MEX-file created on a newer version of MATLAB runs on an older version of MATLAB (forward compatibility), but this is not supported.

Was this topic helpful?